HSQLEJBQLTranslatorFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.hsqldb, class: HSQLEJBQLTranslatorFactory

# Class HSQLEJBQLTranslatorFactory

java.lang.Object
org.apache.cayenne.access.translator.ejbql.JdbcEJBQLTranslatorFactory
org.apache.cayenne.dba.hsqldb.HSQLEJBQLTranslatorFactory

All Implemented Interfaces:
  `EJBQLTranslatorFactory`

public class HSQLEJBQLTranslatorFactory extends JdbcEJBQLTranslatorFactory

Since:
  4.0

- ## Field Summary

  ### Fields inherited from class JdbcEJBQLTranslatorFactory

  `caseInsensitive, JOIN_APPENDER_KEY`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `caseInsensitive`
  `protected static final String`
  `JOIN_APPENDER_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSQLEJBQLTranslatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EJBQLExpressionVisitor`
  `getConditionTranslator(EJBQLTranslationContext context)`

  ### Methods inherited from class JdbcEJBQLTranslatorFactory

  `getAggregateColumnTranslator, getDeleteTranslator, getFromTranslator, getGroupByTranslator, getIdentifierColumnsTranslator, getJoinAppender, getOrderByTranslator, getSelectColumnsTranslator, getSelectTranslator, getUpdateItemTranslator, getUpdateTranslator, setCaseInsensitive`
  Modifier and Type
  Method
  Description
  `EJBQLExpressionVisitor`
  `getAggregateColumnTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getDeleteTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getFromTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getGroupByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getIdentifierColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLJoinAppender`
  `getJoinAppender(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getOrderByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateItemTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateTranslator(EJBQLTranslationContext context)`
  `void`
  `setCaseInsensitive(boolean caseInsensitive)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HSQLEJBQLTranslatorFactory

    public HSQLEJBQLTranslatorFactory()

- ## Method Details

  - ### getConditionTranslator

    public EJBQLExpressionVisitor getConditionTranslator(EJBQLTranslationContext context)
    Specified by:
      `getConditionTranslator` in interface `EJBQLTranslatorFactory`
    Overrides:
      `getConditionTranslator` in class `JdbcEJBQLTranslatorFactory`